Overview

Quickstart

Zynthii AI provides an OpenAI-compatible API for accessing China's best AI models — DeepSeek, Qwen, Kimi, GLM, and more. Drop in your Zynthii key and you're good to go.

Base URL: https://api.zynthii.com/v1

Authentication

API Keys

All requests must include your Zynthii API key in the Authorization header. Get your key from the dashboard.

Header
Authorization: Bearer zyn-your-key-here

Endpoint

Chat Completions

POST/v1/chat/completions

Fully compatible with the OpenAI Chat Completions API. Supports both streaming and non-streaming responses.

Models

Available Models

deepseek-ai/DeepSeek-V4-Flash

Best price-performance ratio

Fast
deepseek-ai/DeepSeek-V3

Powerful general-purpose model

Popular
deepseek-ai/DeepSeek-R1

Best for complex reasoning tasks

Reasoning
Pro/deepseek-ai/DeepSeek-R1

Enhanced R1 with higher limits

Pro
Qwen/Qwen3-235B-A22B

Alibaba flagship model

Large
Pro/moonshotai/Kimi-K2.6

Long context specialist

Pro
Pro/zai-org/GLM-5.1

Zhipu AI latest model

Pro
View full model catalog →

Examples

Code Examples

Python

quickstart.py
from openai import OpenAI

client = OpenAI(
    api_key="zyn-your-key-here",
    base_url="https://api.zynthii.com/v1",
)

response = client.chat.completions.create(
    model="deepseek-ai/DeepSeek-V4-Flash",
    messages=[{"role": "user", "content": "Hello!"}],
)

print(response.choices[0].message.content)

Node.js

quickstart.js
import OpenAI from 'openai';

const client = new OpenAI({
    apiKey: 'zyn-your-key-here',
    baseURL: 'https://api.zynthii.com/v1',
});

const response = await client.chat.completions.create({
    model: 'deepseek-ai/DeepSeek-V4-Flash',
    messages: [{ role: 'user', content: 'Hello!' }],
});

console.log(response.choices[0].message.content);

cURL

terminal
curl https://api.zynthii.com/v1/chat/completions \
  -H "Authorization: Bearer zyn-your-key-here" \
  -H "Content-Type: application/json" \
  -d '{"model": "deepseek-ai/DeepSeek-V4-Flash", "messages": [{"role": "user", "content": "Hello!"}]}'

Streaming

Streaming Responses

Add stream: true to receive server-sent events.

streaming.py
response = client.chat.completions.create(
    model="deepseek-ai/DeepSeek-V4-Flash",
    messages=[{"role": "user", "content": "Hello!"}],
    stream=True,
)

for chunk in response:
    print(chunk.choices[0].delta.content, end="")

Errors

Error Codes

401Invalid API keyCheck your key in the dashboard
402Insufficient balanceTop up your account to continue
429Rate limit exceededSlow down your request rate
502Upstream errorTemporary issue, retry in a moment